Skip to main content
Alerting & Response/Alert Routing & Policies

GetAlertAssignmentHistory

Get the full assignment history for an alert including all reassignments

GET/api/v1/alerting/assignments/{alertId}/history

Operation ID

GetAlertAssignmentHistory

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • alertId
    StringRequired

    Alert identifier to retrieve assignment history for

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of assignment history entries

    Example: (nested array)

    • operatorUserId
      String

      User who performed the assignment change

      Example: admin

    • assigneeUserId
      String

      User who was assigned the alert

      Example: user-001

    • reason
      String

      Reason for the assignment action

      Example: On-call rotation

    • assignmentSource
      String

      Source of the assignment (auto, manual, escalation)

      Example: auto

    • timestamp
      String

      Timestamp of the assignment action

      Example: 2026-01-15T08:00:00Z

  • total
    Integer

    total number of history records for this alert; no pagination applied.

    Example: 3